.#{$namespace}-switch
  justify-content: flex-start
  align-items: center
  flex-wrap: wrap
  vertical-align: top

  input
    visibility: hidden
    position: absolute

    &:checked

      &+label

        &:before
          background-color: $blue-grey

        &:after
          transform: translateX(1.25em)
          border: 2px solid white
          background-color: #fff
  
  &.is-success
    input
      &:checked
        &+label
          &:before
            background-color: $success
  &.is-info
    input
      &:checked
        &+label
          &:before
            background-color: $info
  &.is-warning
    input
      &:checked
        &+label
          &:before
            background-color: $warning
  &.is-danger
    input
      &:checked
        &+label
          &:before
            background-color: $danger
  
  label
    // font-weight: $weight-bold
    // padding-left: 0
    padding-left: 4.25rem
    margin: .25rem 0
    height: 2em
    position: relative
    display: inline-flex
    align-items: center
    color: $grey-darker
    cursor: pointer

    &:before 
      content: ''
      position: absolute
      left: 0
      width: 3.5rem
      top: 0
      bottom: 0
      background-color: rgba($blue-grey,.05)
      border-radius: 1.125em
      border: 1px solid rgba(black,.2)
      box-shadow: inset 0 2px 0 rgba(0,0,0,.1)
      transition: $speed $easing

    &:after
      content: ''
      position: absolute
      height: 1.5em
      width: 1.75em
      border-radius: 2em
      left: .25em
      transform: translateX(0)
      background-color: white
      border: 1px solid rgba(black,.2)
      box-shadow: 0 2px 0 0 rgba(0,0,0,.1)
      transition: $speed $easing

  &.is-fullwidth 
    label
      width: 100%

  &.is-right
    input 
      & + label
        padding-left: 0
        padding-right: 4.25em
        &:before
          left: auto
          right: 0
        &:after
          left: auto
          right: .25em
          transform: translateX(-1.25em)
        &.is-active
          &:after
            transform: translateX(0)

  &.is-fullwidth
    width: 100%

  &.is-disabled
    label
      opacity: .5
      cursor: not-allowed